
QGIS Application - Bug report #19962

QGIS Crashes on Open Window

2018-09-26 10:35 PM - Alex Krebs

Status: Closed

Priority: High

Assignee:

Category: Browser

Affected QGIS version:3.3(master) Regression?: No

Operating System: Windows 10 pro 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 27784

Description

QGIS crashes when the windows explorer browser is opened. Whether going to File>Open or trying to browse to a CSV for MMQGIS.

Crashes with and without MMQGIS installed. Crashes after clean uninstall and reinstall of all versions 3.0 and above.

User Feedback

Report Details

Crash ID: bfeccad7d29abebecd4757380183e4ac9ae87f61

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :

DllUnregisterServer :

Ordinal67 :

CoGetProcessIdentifier :

Ordinal112 :

Ordinal112 :

Ordinal112 :

Ordinal112 :

Ordinal112 :

CoGetProcessIdentifier :

CoGetProcessIdentifier :

CoGetProcessIdentifier :

CoCreateInstance :

CoCreateInstance :

CoCreateInstance :

SHCreateItemInKnownFolder :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

SHELL32_IconOverlayManagerInit :

SHELL32_IconOverlayManagerInit :

NeverProvidedByJunction :

NeverProvidedByJunction :

NeverProvidedByJunction :

Ordinal873 :

NeverProvidedByJunction :

NeverProvidedByJunction :

DllCanUnloadNow :

SHCreateItemWithParent :

SHCreateItemWithParent :

SHCreateItemWithParent :

GetScaleFactorForMonitor :
A_SHAUpdate :

RtlReleaseSRWLockExclusive :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.0-Bonn

QGIS code revision: commit:bc43194061

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Related to QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-09-26 10:47 PM - Alex Krebs

- Status changed from Open to Closed

The problem was with windows explorer. Following this guide I was able to find a solution:

https://www.maketecheasier.com/windows-explorer-crashing-fixes/

I narrowed the fix down further to enabling (checking) "Always show icans, never thumbnails" in Folder Options>>>View>>>Files and Folders

That is all I had to do to fix the problem

#2 - 2018-09-26 10:59 PM - Jürgen Fischer

- Related to Bug report #18260: qgis 3 crashes at start added

#3 - 2018-09-27 09:30 AM - Giovanni Manghi

- Resolution set to invalid
https://www.maketecheasier.com/windows-explorer-crashing-fixes/

